gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An object for rendering a single cell on a

The is a base class of a set of objects used for rendering a cell to a . These objects are used primarily by the widget, though they are not tied to them in any specific way. It is worth noting that is not a and cannot be treated as such.

The primary use of a is for drawing a certain graphical elements on a . Typically, one is used to draw many cells on the screen. To this extent, it is not expected that a keep any permanent state around. Instead, any state is set just prior to use. Then, the cell is measured using . Finally, the cell is rendered in the correct location using .

There are a number of rules that must be followed when writing a new . First and foremost, it is important that a certain set of properties will always yield a of the same size, barring a change. The also has a number of generic properties that are expected to be honored by all children.

Gtk.Object GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` `` `` `` `` Invokes the virtual render function of the . an object of type an object of type an object of type an object of type an object of type an object of type The three passed-in rectangles are areas of . Most renderers will draw within ; includes the blank space around the cell, and also the area containing the tree expander; so the rectangles for all cells tile to cover the entire window. is a clip rectangle.
- Method
  System.Void `` `` Sets the renderer size to be explicit, independent of the properties set. an object of type an object of type
- Method
  System.Void `` `` Fills in and with the appropriate size of . an for the width an for the height
- Method
  System.Boolean `` `` `` `` `` `` Passes an activate event to the for possible processing. an object of type an object of type an object of type an object of type an object of type an object of type an object of type Some s may use events; for example, toggles when it gets a mouse click.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of CellRenderer, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  System.Int32 The fixed height. an object of type an object of type
- Property
  System.Boolean Display the cell. an object of type an object of type
- Property
  System.Single The x-align. an object of type an object of type
- Property
  System.Int32 The fixed width. an object of type an object of type
- Property
  System.Single The y-align. an object of type an object of type
- Property
  System.Boolean Row has children. an object of type an object of type
- Property
  System.UInt32 The ypad. an object of type an object of type
- Property
  System.UInt32 The xpad. an object of type an object of type
- Property
  System.Boolean Row is an expander row, and is expanded. an object of type an object of type
- Property
  Gtk.CellRendererMode Editable mode of the CellRenderer. an object of type an object of type
- Property
  Gdk.Color Cell background color as a . a a
- Property
  System.String Cell background color as a . a a
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  A protected constructor. (FIXME: elaborate.)
  a
- Method
  System.Void `` `` `` `` `` `` Obtains the and needed to render the cell. a a a a a a Used by view widgets to determine the appropriate size for the passed to gtk_cell_renderer_render(). If is not , fills in the x and y offsets (if set) of the cell relative to this location. Please note that the values set in and , as well as those in and are inclusive of the xpad and ypad properties.
- Method
  System.Void `` `` `` `` `` `` Invokes the virtual render function of the . The three passed-in rectangles are areas of window. Most renderers will draw within ; the xalign, yalign, xpad, and ypad fields of the should be honored with respect to . includes the blank space around the cell, and also the area containing the tree expander; so the rectangles for all cells tile to cover the entire window. is a clip rectangle. a to render to a , the widget that owns a , entire cell area (including tree expanders and maybe padding on the sides) a , area normally rendered by a cell renderer a , area that needs updating a , flags that affect rendering
- Method
  Gtk.CellEditable `` `` `` `` `` `` Passes an activate event to the for possible processing. a a a a a a a Some cell renderers may use events; for example, toggles when it gets a mouse click.
- Event
  System.EventHandler To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added